RIO_ENUM_HOST(9)

NAME
rio_enum_host - Set host lock and initialize host destination ID

SYNOPSIS

int rio_enum_host (struct rio_mport * port);

ARGUMENTS

port
    Master port to issue transaction

DESCRIPTION

Sets the local host master port lock and destination ID register with the host device ID value. The host device ID value is provided by the platform. Returns 0 on success or -1 on failure.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.